Retrieve issuer policy preview
Retrieves an ecosystem issuer policy preview by providing the ecosystem's ID. A policy preview includes all the participants and their issuer certificates created in the ecosystem, including those that fail validation and would be excluded from a published policy. The validation result is provided for each certificate.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
uuidIssuer policy preview retrieved
application/json- response
publishedAt*stringThe timestamp when the issuer policy was last published.
date-timeparticipants*array<>A list of participants included in the issuer policy preview.
curl -X GET "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/issuer-policies/preview"{ "publishedAt": "2024-10-22T00:00:00Z", "participants": [ { "id": "a24e391a-c27f-4b6e-9805-1ee7e03f3c58", "name": "My Participant", "status": "Active", "issuerCertificates": [ { "id": "599bf148-d711-405a-a20b-9c8a87ac8850", "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\n-----END CERTIFICATE-----\r\n", "certificateFingerprint": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2", "docTypes": [ { "value": "org.iso.18013.5.1.mDL" } ], "status": "Active", "validationResult": { "validated": true } } ], "country": "NZ", "stateOrProvince": "Wellington" } ]}How would you rate this page?
Publish issuer policy POST
Publish a new version of the ecosystem issuer policy. A participant is included only if it is active and has at least one issuer certificate that passes validation. Only the certificates that pass validation are included.
Retrieve latest issuer policy GET
Retrieves the latest published ecosystem issuer policy by providing the ecosystem ID. This endpoint is intended for public consumption, and as such does not require authentication.